Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v1
Class ReimbursementAndChildrenType

    java.lang.Object
      be.fgov.ehealth.dics.core.v1.BaseType
          be.fgov.ehealth.dics.core.v1.ReimbursementType
              be.fgov.ehealth.dics.core.v1.ReimbursementAndChildrenType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:13:06+02:00",
               comments="JAXB RI v2.2.6")
    public class ReimbursementAndChildrenType

extends ReimbursementType
implements Serializable

Java class for ReimbursementAndChildrenType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReimbursementAndChildrenType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v1}ReimbursementType">
           <sequence>
             <element name="Price" type="{urn:be:fgov:ehealth:dics:core:v1}PriceType"/>
             <element name="Ampp" type="{urn:be:fgov:ehealth:dics:core:v1}AmppType"/>
             <element name="Copayment" type="{urn:be:fgov:ehealth:dics:core:v1}CopaymentType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ReimbursementAndChildrenType()`

Method Summary
`AmppType` | `getAmpp()` Gets the value of the ampp property.
`List<CopaymentType>` | `getCopayments()` Gets the value of the copayments property.
`PriceType` | `getPrice()` Gets the value of the price property.
`void` | `setAmpp(AmppType value)` Sets the value of the ampp property.
`void` | `setPrice(PriceType value)` Sets the value of the price property.

Methods inherited from class be.fgov.ehealth.dics.core.v1.ReimbursementType
`getDeliveryEnvironment, getPackageAgreement, isReferenceBaseInd, setDeliveryEnvironment, setPackageAgreement, setReferenceBaseInd`

Methods inherited from class be.fgov.ehealth.dics.core.v1.BaseType
`getEndDate, getStartDate, setEndDate, setStartDate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReimbursementAndChildrenType

    public ReimbursementAndChildrenType()

Method Detail

### getPrice

    public PriceType getPrice()

  Gets the value of the price property.

  Returns:
    possible object is `PriceType`

### setPrice

    public void setPrice(PriceType value)

  Sets the value of the price property.

  Parameters:
    `value` - allowed object is `PriceType`

### getAmpp

    public AmppType getAmpp()

  Gets the value of the ampp property.

  Returns:
    possible object is `AmppType`

### setAmpp

    public void setAmpp(AmppType value)

  Sets the value of the ampp property.

  Parameters:
    `value` - allowed object is `AmppType`

### getCopayments

    public List<CopaymentType> getCopayments()

  Gets the value of the copayments property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the copayments property.

  For example, to add a new item, do as follows:

          getCopayments().add(newItem);

  Objects of the following type(s) are allowed in the list `CopaymentType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.